from local_maxima import find_maxima

def test_local_maxima_first():
    values = [1,3, -2, 0,2,1]
    expected = [1, 4]

    result = find_maxima(values)

    assert result == expected

def test_local_maxima_second():
    values = [4, 2, 1, 3, 1, 5]
    expected = [0,3,5]

    result = find_maxima(values)

    assert result == expected

def test_local_maxima_third():
    values = []
    expected = []

    result = find_maxima(values)

    assert result == expected

def test_local_maxima_fourth():
    values = [1,2,2,1]
    expected = []

    result = find_maxima(values)

    assert result == expected

def test_local_maxima_fifth():
    values = [1,2,2,3,1]
    expected = [3]

    result = find_maxima(values)

    assert result == expected